| Home | Libraries | People | FAQ | More

##### basic_signal_set::cancel (2 of 2 overloads)

Cancel all operations associated with the signal set.

    boost::system::error_code cancel(
        boost::system::error_code & ec);

This function forces the completion of any pending asynchronous wait operations against the signal set. The handler for each cancelled operation will be invoked with the `boost::asio::error::operation_aborted` error code.

Cancellation does not alter the set of registered signals.

###### Parameters

ec

  Set to indicate what error occurred, if any.

###### Remarks

If a registered signal occurred before `cancel()` is called, then the handlers for asynchronous wait operations will:

- have already been invoked; or
- have been queued for invocation in the near future.

These handlers can no longer be cancelled, and therefore are passed an error code that indicates the successful completion of the wait operation.